commit:     1c4bd883b72fee8aeb49afc3f854b75b98e64af5
Author:     Matt Smith <matt <AT> offtopica <DOT> uk>
AuthorDate: Sun Jun 20 08:09:44 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Sun Jun 20 10:02:30 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=1c4bd883

dev-scheme/chez: Add threads USE flag

Also add MY_PN variable to tidy up ebuild.

Suggested-by: Maciej Barć <xgqt <AT> riseup.net>
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Matt Smith <matt <AT> offtopica.uk>

 dev-scheme/chez/chez-9.5.4.ebuild | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

diff --git a/dev-scheme/chez/chez-9.5.4.ebuild 
b/dev-scheme/chez/chez-9.5.4.ebuild
index 6463a0c05..3276978f7 100644
--- a/dev-scheme/chez/chez-9.5.4.ebuild
+++ b/dev-scheme/chez/chez-9.5.4.ebuild
@@ -3,21 +3,25 @@
 
 EAPI=7
 
+MY_PN="csv"
+MY_P="${MY_PN}${PV}"
+
 DESCRIPTION="A programming language based on R6RS"
 HOMEPAGE="https://cisco.github.io/ChezScheme/ 
https://github.com/cisco/ChezScheme";
-SRC_URI="https://github.com/cisco/ChezScheme/releases/download/v${PV}/csv${PV}.tar.gz";
+SRC_URI="https://github.com/cisco/ChezScheme/releases/download/v${PV}/${MY_P}.tar.gz";
 
 # Chez Scheme itself is Apache 2.0, but it vendors LZ4 (BSD-2),
 # Nanopass (MIT), stex (MIT), and zlib (ZLIB).
 LICENSE="Apache-2.0 BSD-2 MIT ZLIB"
 SLOT="0"
 KEYWORDS="~amd64"
-IUSE="examples"
+IUSE="examples threads"
 
-S="${WORKDIR}"/csv${PV}
+S="${WORKDIR}"/${MY_P}
 
 src_configure() {
        local myconfargs=(
+               --64
                --installschemename=chezscheme
                --installpetitename=chezscheme-petite
                --installscriptname=chezscheme-script
@@ -27,10 +31,12 @@ src_configure() {
                --disable-x11 # TODO: X USE flag.
        )
 
+       use threads && myconfargs+=(--threads)
+
        ./configure "${myconfargs[@]}" || die
 }
 
 src_install() {
        emake install TempRoot="${D}"
-       use examples || rm -r "${D}"/usr/lib/csv${PV}/examples || die
+       use examples || rm -r "${D}"/usr/lib/${MY_P}/examples || die
 }

Reply via email to